commit 5a7b4e79bc9bd5b51739c0d8aaf644f62cc440e6
Merge: ecd26b1 7a5a255
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Mon Aug 1 12:53:22 2016 -0700

    Merge remote-tracking branch 'origin/master'

commit ecd26b1e784973e5b52d5a308964a8e29a6cf207
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Mon Aug 1 12:53:13 2016 -0700

    updated agreement URL since Let's Encrypt is now rejecting the old agreement

commit 7a5a2558c8d6e5ab2a59b9fec9633d9e63127971
Merge: 84308ab bf5d383
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Mar 26 10:30:04 2016 -0700

    Merge pull request #103 from nylen/patch-1
    
    For challenges, redirects from HTTP -> HTTPS are fine too

commit 84308ab4a5b741a06206f5e65264e603bb54d22e
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Mar 26 10:24:30 2016 -0700

    Let's Encrypt changed their staging server issuer common name

commit fba3cb5263f082ce28848a87a2fc31450022ce90
Merge: f61f72c be31020
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Mar 26 10:16:32 2016 -0700

    Merge pull request #109 from maghoff/patch-1
    
    Update README.md

commit be31020b3c063cc2605c16ca483b34fed81690e1
Author: Magnus Hoff <maghoff@gmail.com>
Date:   Sat Mar 26 12:10:37 2016 +0100

    Update README.md
    
    Let's Encrypt have switched to using their intermediate certificate X3 for signing, see https://letsencrypt.org/certificates/

commit bf5d383e257101769b003eadccdc2a650c42c6cd
Author: James Nylen <jnylen@gmail.com>
Date:   Wed Mar 16 01:49:21 2016 -0500

    For challenges, redirects from HTTP -> HTTPS are fine too

commit f61f72c212cea27f388eb4a26ede0d65035bdb53
Merge: fcb7cd6 32376d0
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 29 12:43:26 2015 -0800

    Merge remote-tracking branch 'origin/master'

commit fcb7cd6f66e951eeae76ff2f48d8ad3e40da37ef
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 29 12:43:12 2015 -0800

    fixed #58, apparently .reason isn't an attribute on HTTPError in python 2.6 even though it's documented as such

commit 32376d02f45843545f38810f1c18478cdc6cb8a0
Merge: 69a4572 7747bd1
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 26 11:41:15 2015 -0800

    Merge pull request #55 from jwilk/spelling
    
    fix typos

commit 7747bd1eb13475e4faa41049ff5fe14648b3a302
Author: Jakub Wilk <jwilk@jwilk.net>
Date:   Sat Dec 26 01:22:29 2015 +0100

    fix typos

commit 69a457269a6392ac31b629b4e103e8ea7dd282c9
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 15:15:01 2015 -0800

    fixed error reading for URLErrors and HTTPErrors

commit 9e69fa7b0ffbb3e35bd374c0242941fe905c0b53
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 10:32:33 2015 -0800

    added permissions change to accomodate https://bugs.launchpad.net/ubuntu/+source/fuse/+bug/794494

commit d3c6451a4f5d260a2845117d4b3ff22924bf9f4e
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 08:38:57 2015 -0800

    fixed #48, handle URLErrors in addition to HTTPErrors

commit a9a1bc79a6b66dcf76c765e58365ca4c0201a830
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 08:17:03 2015 -0800

    switched form the node script to the tiny python script

commit 33f593d0601c6e15869d793e11141578f5ca76ed
Merge: 7d8e06a 039769a
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 08:11:21 2015 -0800

    Merge branch 'master' into pull_34

commit 039769ab3f555b220b1c502a7f5e43c8d7e1c994
Merge: 6d30024 7f2325e
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 07:47:54 2015 -0800

    Merge pull request #44 from RalfJung/master
    
    Fix TypeError: 'str' does not support the buffer interface

commit 6d3002403e097c4df6aaa9fe94be70777dea4d1a
Merge: 86394c6 fd9d2a8
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 22 07:36:33 2015 -0800

    Merge pull request #51 from monkz/patch-1
    
    Additional clarification for the creation of the account key

commit fd9d2a8161fede8cc3d1204d2588aa1250eaacce
Author: monkz <git@monkz.de>
Date:   Sat Dec 19 15:10:13 2015 +0100

    Additional clarification for the creation of the account key
    
    According to #50 was the wording in Step 1 a litte ambiguous.

commit 86394c615afa9470b82c3385500941b62f69ab44
Merge: ad59a79 81e357f
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 15 08:28:15 2015 -0800

    Merge remote-tracking branch 'origin/master'

commit ad59a7968173ad10e4265db369f6ebf4f072c42f
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Tue Dec 15 08:27:57 2015 -0800

    fixed #45, added readme with instructions on how to test

commit 7f2325e49fc57b304d203a651224c5264c7bfd64
Author: Ralf Jung <post@ralfj.de>
Date:   Sun Dec 13 12:54:04 2015 +0100

    Fix TypeError: 'str' does not support the buffer interface

commit 81e357fe81705b15d4ef9e0b1ba3e262e9b71527
Merge: f7aaf19 24da0a1
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Thu Dec 10 07:08:38 2015 -0800

    Merge pull request #38 from reidrac/master
    
    Fixed nginx example

commit 24da0a18385739fc049a20e911cfd63579c23b5d
Author: Juan J. Martínez <reidrac@usebox.net>
Date:   Wed Dec 9 07:14:00 2015 +0000

    Fixed nginx example
    
    server_name names is not a comma separated list host hostsnames.

commit 7d8e06a80559cd9934d1b30108df7163ef0fa796
Author: Andreas Pfohl <mail@apfohl.com>
Date:   Mon Dec 7 14:00:33 2015 +0100

    Added description for converting an LE private key for acme-tiny.

commit f7aaf199e4f7f8828ee2ee4cc8d7e5f2fbff26eb
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sun Dec 6 02:36:32 2015 -0800

    switched coveralls badge to use master branch

commit b37284d218eed51b862a42a3f792162fd01f4e15
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sun Dec 6 02:26:03 2015 -0800

    added error handling tests

commit e6cad5f0f6fbfec1126fe3c987c0374b1d2c3cfa
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sun Dec 6 00:38:10 2015 -0800

    added argparse to requirements for python 2.6 and removed fuse from coverage

commit e0a874203c3e7821ad04a5a5ec3a6ff667e48172
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sun Dec 6 00:23:22 2015 -0800

    added monkey patching via fuse for full integration test

commit dacd06f2c558b3e22526d56a65051f1c5ef4c8e3
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:58:29 2015 -0800

    added coveralls to travis test

commit d3e807302b36a938c889da00cb56df83ddcb6b80
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:40:36 2015 -0800

    apparently coverage doesn't support python 3.2

commit 1bda17f1766b3125bad2b91b7666f764be88c5ae
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:38:14 2015 -0800

    added coverage to tests

commit 12636e5fb3ec90cd8ba69b0621a4b7ba97df51c1
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:22:42 2015 -0800

    added code coverage

commit 7cbf7ecc35e9a107208c229e7028579d2bc92dae
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:19:00 2015 -0800

    apparently python 2.6 doesn't have test discovery

commit d866955185ca447d2647a8d4a5adf4b48ee3218a
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 18:11:29 2015 -0800

    added initial test structure

commit c3493dcba827e8fb80b5473437accec0eb9b6602
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 17:44:23 2015 -0800

    tweaked help text on default certificate authority

commit 862175e92fbc0901e4b4a42ddd17195029bcfc62
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 17:33:22 2015 -0800

    added kwarg for log to argparse function calling

commit 406f49aa1520354ae2c2c76cb77a9c70ca083d58
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 17:31:48 2015 -0800

    added default CA back at the module level

commit 97d9090a10347c7e0fc876fdb6f388247bded314
Merge: 6aa18cc 36ec4bd
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 17:24:43 2015 -0800

    Merge branch 'master' into pull_32

commit 36ec4bdd375fc5663fb0a85e72c48d00d78611b4
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 17:19:14 2015 -0800

    no need to save the certificate to a variable in the example cron script, since it will exit before chained.pem is overwritten

commit 6aa18cc5a2ec3e209e730583222922e4e81cc358
Author: Tobias Heinzen <drtoful@users.noreply.github.com>
Date:   Sun Dec 6 02:17:35 2015 +0100

    adding CA parameter to command line utility

commit a9a7170c5a68a30416586b15ae56e038a62f1c87
Author: Benoit Garret <benoit.garret_github@gadz.org>
Date:   Sun Dec 6 02:00:54 2015 +0100

    cron example: do not write the certificate if there is an error

commit b7ee7b8d52e02467f7403d59c7fc433c3970c5d6
Merge: aebde7a ec7b74c
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 16:45:53 2015 -0800

    Merge branch 'code-reduction' into logging-rewrite

commit ec7b74cfc73846c695edca576e252fb33c302d3b
Author: somecoder42 <somecoder42@users.noreply.github.com>
Date:   Sat Dec 5 13:57:47 2015 +0100

    simpify protected
    Conflicts:
    	acme_tiny.py

commit f940739ba9da541d8abb3823bfb2d477278f6a0e
Author: somecoder42 <somecoder42@users.noreply.github.com>
Date:   Sat Dec 5 13:27:50 2015 +0100

    shrink pub_exp/pub_mod code
    
    This does not reduce readability in my opinion, but that is debatable
    Conflicts:
    	acme_tiny.py

commit 8d2b46519a335752a51442360b77c1536dd2da10
Author: somecoder42 <somecoder42@users.noreply.github.com>
Date:   Sat Dec 5 13:10:09 2015 +0100

    Use 'with' when opening wellknown_path

commit 1a16509caae3fa07a903de41b5bfa2b1374cdd84
Author: somecoder42 <somecoder42@users.noreply.github.com>
Date:   Sat Dec 5 13:08:24 2015 +0100

    replace challenge['token'] by token
    Conflicts:
    	acme_tiny.py

commit aebde7ae1a129eab8b97dd7039f7bb6c4fe4fe10
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 16:25:53 2015 -0800

    added propper logging, but needs code reduction to bring back below 200 lines

commit ee20af39bebbf1eb6d90b22e91f56dfadeee650c
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 15:07:22 2015 -0800

    tweaked import formatting for python 2 and 3

commit 9ce0107fa3ed89ec77e19590d025bb580edb7cf2
Merge: ef7a46d 59dae1d
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 14:57:11 2015 -0800

    Merge remote-tracking branch 'origin/master' into pull_22

commit ef7a46df3f44d7beb1b1f9aa41744909594fe415
Merge: 0c980e0 2bcf39f
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 14:56:58 2015 -0800

    Merge branch 'master' into pull_22

commit 59dae1dc5f52b397559a2004505e4b56f516922b
Merge: 2bcf39f 15cbcc8
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Sat Dec 5 14:55:56 2015 -0800

    Merge pull request #26 from jwilk/readme-formatting
    
    README: enable syntax highlighting for nginx snippet

commit 15cbcc8cfbe816b8cb726ab4cd9fcefab1db2d17
Author: Jakub Wilk <jwilk@jwilk.net>
Date:   Sat Dec 5 15:41:15 2015 +0100

    README: enable syntax highlighting for nginx snippet

commit 0c980e00ecb6a63a43e89632dc2b3e5b37041b67
Author: Collin Anderson <cmawebsite@gmail.com>
Date:   Fri Dec 4 17:05:00 2015 -0500

    Python 3 support

commit 2bcf39f8eb0d61a99348e02646a8b2c13934239c
Author: Nicolas Dietrich <nidi@mailbox.org>
Date:   Fri Dec 4 23:03:03 2015 +0100

    Fix two missing words

commit 8d9dc340563437717611fbc0ff5eaf08cdf7a3bc
Merge: 3d0e018 dc800f5
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:38:39 2015 -0800

    Merge remote-tracking branch 'maghoff/patch-1' into pull_19

commit 3d0e0189e0095f04000ec470150bdaec65bcc9ef
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:35:12 2015 -0800

    consolidated helptext dedent a bit

commit fdae5f75a13be687df352a8e8b1347abc28c0ebd
Merge: 47ebd61 64465ac
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:32:33 2015 -0800

    Merge remote-tracking branch 'jomo/patch-indent' into pull_17

commit 47ebd611ab913e35a9ecb6dcc03d3308007fc35e
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:28:13 2015 -0800

    updated urlsafe regex to use raw string

commit fe7cb7648947dbbde03b2990fd73eb69fa5846d6
Merge: 1775b70 3f7fe35
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:26:35 2015 -0800

    Merge remote-tracking branch 'jomo/patch-regex' into pull_16

commit 1775b7065438004322e47809e0552f2522e3bbb5
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 12:23:37 2015 -0800

    prevent malicious tokens from being anything but urlsafe base64

commit dc800f5e022a4ea6cd29957c3fe8df2efaa29b87
Author: Magnus Hoff <maghoff@gmail.com>
Date:   Fri Dec 4 20:44:45 2015 +0100

    Fix typo

commit 64465ac88e1abbfdcd7381d6e8c5a230877b1e89
Author: jomo <github@jomo.tv>
Date:   Fri Dec 4 17:25:08 2015 +0100

    use textwrap.dedent
    
    textwrap was already imported, so why not use it? :)
    From https://docs.python.org/2/library/textwrap.html#textwrap.dedent:
    > This can be used to make triple-quoted strings line up with the left edge of the display, while still presenting them in the source code in indented form.

commit 3f7fe35625223bee1c15d1f1952cc64d7a347fd8
Author: jomo <github@jomo.tv>
Date:   Fri Dec 4 17:20:59 2015 +0100

    use raw regex string
    
    From https://docs.python.org/2/howto/regex.html#the-backslash-plague:
    > backslashes are not handled in any special way in a string literal prefixed with 'r', so r"\n" is a two-character string containing '\' and 'n', while "\n" is a one-character string containing a newline.

commit a866b255e76c51fe60e70e6d4d764d91e8d9245b
Author: Paul Jimenez <pj@place.org>
Date:   Fri Dec 4 11:06:45 2015 -0500

    Join paths platform-neutrally
    
    Use os.path to join paths in a more platform-neutral fashion

commit e12cd728c8beba52c47ee72520769cc461353bd0
Merge: 80c83f8 b2cd85d
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 06:43:36 2015 -0800

    Merge pull request #7 from temporaryaccount/compat
    
    Make compatible with older 2.x versions of Python

commit b2cd85d8f7db4f818ff169c60c363885c7839fb4
Author: temp <temporaryaccount@github.com>
Date:   Fri Dec 4 18:29:01 2015 +0400

    Make compatible with older 2.x versions of Python

commit 80c83f8150c51c478cfa0ec16ece7895595343a4
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 06:11:43 2015 -0800

    added more verbose error output to openssl errors

commit af3a2e7de70db9aaf8b4bedc63282b65c6a2d541
Merge: cffe2a8 8c676b6
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 06:08:13 2015 -0800

    Merge remote-tracking branch 'origin/master'

commit cffe2a8b29600473a3e20cc2b6987776ab9bc034
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 06:08:01 2015 -0800

    added error output of openssl signature errors

commit 8c676b6169d12e10643fa5161e55f107d6870a85
Merge: 338f7be 01919d4
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Fri Dec 4 05:45:22 2015 -0800

    Merge pull request #6 from jwilk/spelling
    
    fix typo

commit 01919d4bda7201f14cd480994a780a90db75f9e5
Author: Jakub Wilk <jwilk@jwilk.net>
Date:   Fri Dec 4 13:35:20 2015 +0100

    fix typo

commit 338f7bedaf3da0c3f049c0b9c5be6ed58a8b26ee
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Thu Dec 3 20:56:01 2015 -0800

    fixed #4, specify an output file for wget to prevent clobbering

commit c711b821af511feac0d7b7771be609685a3f800a
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Thu Dec 3 20:53:04 2015 -0800

    fixed #3, cleared up confusing directory names in example helptext

commit 3f68f50f347f957cef8425a41989e6c255b37f32
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Wed Nov 25 22:54:57 2015 -0800

    typos

commit 7e8f7731434061496f20b56a6262ce2fbb21081e
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Wed Nov 25 22:48:17 2015 -0800

    Added readme

commit 7db428f90b06e3ef57db824b8420c821eff3ec96
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Wed Nov 25 21:46:20 2015 -0800

    added basic script

commit 7eacef721cb9c7f1c120bff9ff03adb6e5c35b4d
Author: Daniel Roesler <diafygi@gmail.com>
Date:   Wed Nov 25 21:44:00 2015 -0800

    Initial commit
